Bug 27441 - LookNode should provide Lookup in constructor
LookNode should provide Lookup in constructor
Status: VERIFIED FIXED
Product: contrib
Classification: Unclassified
Component: Looks
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@contrib
:
Depends on: 26790 27425
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 12:37 UTC by Jaroslav Tulach
Modified: 2008-11-18 11:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Changes in LookNode (3.96 KB, patch)
2002-09-19 12:38 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-09-19 12:37:16 UTC
LookNode should not override getCookie, but
provide lookup in constructor, so applications can
access all objects in the Lookup not just cookies. 

The conversion from Lookup to Cookie should be
done in Node itself.
Comment 1 Jaroslav Tulach 2002-09-19 12:38:17 UTC
Created attachment 7455 [details]
Changes in LookNode
Comment 2 Marian Mirilovic 2003-01-29 12:54:49 UTC
added keyword PROJECTS, because we need to distinguish 
issues against NB4.0 and S1Sx.y
Comment 3 Jaroslav Tulach 2003-02-28 10:35:53 UTC
This has already been done. Why not close it?
Comment 4 Petr Hrebejk 2003-05-06 10:06:07 UTC
Looks can add items to node Lookup using getLookupItems method.
Comment 5 Marian Mirilovic 2005-07-13 13:23:35 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo